/// Map to the various registers on the Twist

pub struct Register(pub u8);

pub const TWIST_ID: Register = Register(0x00);

/// - 2 - button clicked
/// - 1 - button pressed
/// - 0 - encoder moved
pub const TWIST_STATUS: Register = Register(0x01);
pub const TWIST_VERSION: Register = Register(0x02);

/// - 1 - button interrupt
/// - 0 - encoder interrupt
pub const TWIST_ENABLE_INTS: Register = Register(0x04);

pub const TWIST_COUNT: Register = Register(0x05);
pub const TWIST_DIFFERENCE: Register = Register(0x07);
/// Milliseconds since the last movement of the knob
pub const TWIST_LAST_ENCODER_EVENT: Register = Register(0x09);
/// Milliseconds since the last press/release
pub const TWIST_LAST_BUTTON_EVENT: Register = Register(0x0B);

pub const TWIST_RED: Register = Register(0x0D);
pub const TWIST_GREEN: Register = Register(0x0E);
pub const TWIST_BLUE: Register = Register(0x0F);

/// Amount to change the red LED for each encoder tick
pub const TWIST_CONNECT_RED: Register = Register(0x10);
/// Amount to change the green LED for each encoder tick
pub const TWIST_CONNECT_GREEN: Register = Register(0x12);
/// Amount to change the blue LED for each encoder tick
pub const TWIST_CONNECT_BLUE: Register = Register(0x14);

pub const TWIST_TURN_INT_TIMEOUT: Register = Register(0x16);
pub const TWIST_CHANGE_ADDRESS: Register = Register(0x18);
pub const TWIST_LIMIT: Register = Register(0x19);
